Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_FlowProducer Class Reference

`#include <AVStreams_i.h>`

Inheritance diagram for TAO_FlowProducer:

[legend]
Collaboration diagram for TAO_FlowProducer:

[legend]
List of all members.

## Public Methods
| TAO_FlowProducer (void)
| default constructor. More...
| TAO_FlowProducer (const char *flowname, AVStreams::protocolSpec protocols, const char *format)
virtual char * | get_rev_channel (const char *pcol_name ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| get the reverse channel, to be used for feedback for protocols like UDP. More...
virtual void | stop (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| stop this flow, to be overridden by the application. More...
virtual void | start (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| start this flow, to be overridden by the application. More...
virtual char * | go_to_listen (AVStreams::QoS &the_qos, CORBA::Boolean is_mcast, AVStreams::FlowEndPoint_ptr peer, char *&flowProtocol ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::failedToListen, AVStreams::FPError, AVStreams::QoSRequestFailed)
| This should be implemented in both the FlowProducer and consumer and hence is pure virtual since we need to know the role of the flowendpoint to create appropriate protocol objects. More...
virtual CORBA::Boolean | connect_to_peer (AVStreams::QoS &the_qos, const char *address, const char *use_flow_protocol ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::failedToConnect, AVStreams::FPError, AVStreams::QoSRequestFailed)
| This should be implemented in both the FlowProducer and consumer and hence is pure virtual since we need to know the role of the flowendpoint to create appropriate protocol objects. More...
virtual char * | connect_mcast (AVStreams::QoS &the_qos, CORBA::Boolean_out is_met, const char *address, const char *use_flow_protocol ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::failedToConnect, AVStreams::notSupported, AVStreams::FPError, AVStreams::QoSRequestFailed)
| connect to the multicast address, not implemented. More...
virtual void | set_key (const AVStreams::key &the_key ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| sets the public key to be used for encryption of the data. More...
virtual void | set_source_id (CORBA::Long source_id ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| sets the source id of this flow producer so that it can be used to distinguish this producer from others in the multicast case. More...
## Protected Attributes
CORBA::Long | source_id_
| source id of this producer. More...
CORBA::String_var | peer_address_

## Constructor & Destructor Documentation

TAO_FlowProducer::TAO_FlowProducer | ( | void |  | ) |

| default constructor.

TAO_FlowProducer::TAO_FlowProducer | ( | const char * | flowname,
|  | AVStreams::protocolSpec | protocols,
|  | const char * | format
| ) |

## Member Function Documentation

char * TAO_FlowProducer::connect_mcast | ( | AVStreams::QoS & | the_qos,
|  | CORBA::Boolean_out | is_met,
|  | const char * | address,
|  | const char *use_flow_protocol | ACE_ENV_ARG_DECL_NOT_USED
| ) | throw (CORBA::SystemException, AVStreams::failedToConnect, AVStreams::notSupported, AVStreams::FPError, AVStreams::QoSRequestFailed)`[virtual]`

| connect to the multicast address, not implemented.

CORBA::Boolean TAO_FlowProducer::connect_to_peer | ( | AVStreams::QoS & | the_qos,
|  | const char * | address,
|  | const char *use_flow_protocol | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, AVStreams::failedToConnect, AVStreams::FPError, AVStreams::QoSRequestFailed)`[virtual]`

| This should be implemented in both the FlowProducer and consumer and hence is pure virtual since we need to know the role of the flowendpoint to create appropriate protocol objects. eg. in SFP to create Producer Object/ Consumer Object. Reimplemented from TAO_FlowEndPoint.

virtual char* TAO_FlowProducer::get_rev_channel | ( | const char *pcol_name | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[virtual]`

| get the reverse channel, to be used for feedback for protocols like UDP. @Naga: In the spec this is defined in the TAO_FlowProducer but it seems more reasonable for this to be in a FlowEndPoint since any of the flowendpoints can be made to listen. So in the case of UDP if the producer is listening and the consumer connects (logically) then the producer needs to know the reverse channel on its peer fep to send data to.

char * TAO_FlowProducer::go_to_listen | ( | AVStreams::QoS & | the_qos,
|  | CORBA::Boolean | is_mcast,
|  | AVStreams::FlowEndPoint_ptr | peer_fep,
|  | char *&flowProtocol | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, AVStreams::failedToListen, AVStreams::FPError, AVStreams::QoSRequestFailed)`[virtual]`

| This should be implemented in both the FlowProducer and consumer and hence is pure virtual since we need to know the role of the flowendpoint to create appropriate protocol objects. eg. in SFP to create Producer Object/ Consumer Object. Reimplemented from TAO_FlowEndPoint.

void TAO_FlowProducer::set_key | ( | const AVStreams::key &the_key | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException)`[virtual]`

| sets the public key to be used for encryption of the data.

void TAO_FlowProducer::set_source_id | ( | CORBA::Long source_id | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

| sets the source id of this flow producer so that it can be used to distinguish this producer from others in the multicast case.

void TAO_FlowProducer::start | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| start this flow, to be overridden by the application.

void TAO_FlowProducer::stop | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| stop this flow, to be overridden by the application.

## Member Data Documentation

CORBA::String_var TAO_FlowProducer::peer_address_`[protected]`

CORBA::Long TAO_FlowProducer::source_id_`[protected]`

| source id of this producer.

The documentation for this class was generated from the following files:

- AVStreams_i.h
- AVStreams_i.cpp